package ba.unsa.etf.si.bbqms.repository;

import ba.unsa.etf.si.bbqms.domain.Service;
import ba.unsa.etf.si.bbqms.domain.TellerStation;

import java.util.List;
import java.util.Set;

public interface TellerStationRepository extends BaseRepository<TellerStation, Long> {
    Set<TellerStation> findAllByServicesContains(Service service);

    List<TellerStation> findByBranch_Tenant_Code(String tenantCode);

    List<TellerStation> findByBranch_Id(long branchId);
}
